Dummy result formatter used to count SimpleTest results

author | Michiel Rook
version | $Id: ae09aa1a433f4de854fa7c27903e7eb0957bc90b $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## getElapsedTime()

    getElapsedTime()

Inherited

inherited_from | \SimpleTestResultFormatter::getElapsedTime()

## getErrorCount()

    getErrorCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getErrorCount()

## Returns the extension used for this formatter

    getExtension() : string

Inherited

inherited_from | \SimpleTestResultFormatter::getExtension()

### Returns

`string`the extension

## getFailureCount()

    getFailureCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getFailureCount()

## getPreferredOutfile()

    getPreferredOutfile()

Inherited

inherited_from | \SimpleTestResultFormatter::getPreferredOutfile()

## getRetCode()

    getRetCode()

## getRunCount()

    getRunCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getRunCount()

## getTestName()

    getTestName()

Inherited

inherited_from | \SimpleTestResultFormatter::getTestName()

## paintCaseEnd()

    paintCaseEnd($test_name)

Inherited

inherited_from | \SimpleTestResultFormatter::paintCaseEnd()

### Parameters

#### $test_name

## paintCaseStart()

    paintCaseStart($test_name)

Inherited

inherited_from | \SimpleTestResultFormatter::paintCaseStart()

### Parameters

#### $test_name

## paintError()

    paintError($message)

Inherited

inherited_from | \SimpleTestResultFormatter::paintError()

### Parameters

#### $message

## paintFail()

    paintFail($message)

Inherited

inherited_from | \SimpleTestResultFormatter::paintFail()

### Parameters

#### $message

## paintMethodEnd()

    paintMethodEnd($test_name)

Inherited

inherited_from | \SimpleTestResultFormatter::paintMethodEnd()

### Parameters

#### $test_name

## paintMethodStart()

    paintMethodStart($test_name)

Inherited

inherited_from | \SimpleTestResultFormatter::paintMethodStart()

### Parameters

#### $test_name

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

Inherited

inherited_from | \SimpleTestResultFormatter::setOutput()

### Parameters

#### $out

## Sets the project

    setProject(\Project $project)

Inherited

inherited_from | \SimpleTestResultFormatter::setProject()

### Parameters

#### $project

`\Project`

the project

### Properties

##

    $out

Inherited

inherited_from | \SimpleTestResultFormatter::$$out

##

    $project

Inherited

inherited_from | \SimpleTestResultFormatter::$$project

##

    $currentTest

Inherited

inherited_from | \SimpleTestResultFormatter::$$currentTest

##

    $errorCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$errorCount

##

    $failureCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$failureCount

##

    $runCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$runCount

##

    $timer

Inherited

inherited_from | \SimpleTestResultFormatter::$$timer

### Constants

## ERRORS

    ERRORS

## FAILURES

    FAILURES

## SUCCESS

    SUCCESS